| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions

# IG::Num::VectorFunctionBaseGeneral::ObjectStoreResults Class Reference

Inheritance diagram for IG::Num::VectorFunctionBaseGeneral::ObjectStoreResults:
[legend]
Collaboration diagram for IG::Num::VectorFunctionBaseGeneral::ObjectStoreResults:
[legend]

List of all members.

## Public Member Functions
| ObjectStoreResults (IVectorFunction vecfunc)
override bool | TryStore (IVectorFunctionResults obj)
## Protected Member Functions
override IVectorFunctionResults | TryGetNew ()
| Returns a newly created object eligible for storage, or null if such an object can not be created. This method should not throw an exception.
## Protected Attributes
IVectorFunction | _vecfunc
## Private Member Functions
| ObjectStoreResults ()

## Constructor & Destructor Documentation

IG::Num::VectorFunctionBaseGeneral::ObjectStoreResults::ObjectStoreResults | ( |  | ) | `[inline, private]`

IG::Num::VectorFunctionBaseGeneral::ObjectStoreResults::ObjectStoreResults | ( | IVectorFunction | vecfunc | ) | `[inline]`

## Member Function Documentation

override IVectorFunctionResults IG::Num::VectorFunctionBaseGeneral::ObjectStoreResults::TryGetNew | ( |  | ) | `[inline, protected, virtual]`

Returns a newly created object eligible for storage, or null if such an object can not be created. This method should not throw an exception.

Reimplemented from IG::Lib::ObjectStore< T >.

override bool IG::Num::VectorFunctionBaseGeneral::ObjectStoreResults::TryStore | ( | IVectorFunctionResults | obj | ) | `[inline]`

## Member Data Documentation

IVectorFunction IG::Num::VectorFunctionBaseGeneral::ObjectStoreResults::_vecfunc`[protected]`

The documentation for this class was generated from the following file:

- FunctionVectorBaseGeneral.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events